----------------------------
--seg7_decorder.vhd
----------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity seg7_decorder is
    Port ( 
        SEG : out  STD_LOGIC_VECTOR(0 to 7);
        seg_data : in  STD_LOGIC_VECTOR(0 to 3)
    );
end seg7_decorder;

architecture IMP of seg7_decorder is

begin
    process(seg_data)
    begin
        case seg_data is
            when "0000" => SEG <= "00111111"; --0
            when "0001" => SEG <= "00000110"; --1
            when "0010" => SEG <= "01011011"; --2
            when "0011" => SEG <= "01001111"; --3
            when "0100" => SEG <= "01100110"; --4
            when "0101" => SEG <= "01101101"; --5
            when "0110" => SEG <= "01111101"; --6
            when "0111" => SEG <= "00100111"; --7
            when "1000" => SEG <= "01111111"; --8
            when "1001" => SEG <= "01101111"; --9
            when "1010" => SEG <= "01110111"; --A
            when "1011" => SEG <= "01111100"; --b
            when "1100" => SEG <= "00111001"; --C
            when "1101" => SEG <= "01011110"; --d
            when "1110" => SEG <= "01111001"; --E
            when others => SEG <= "01110001"; --F
        end case;
    end process;
end IMP;

